Get Service Instance Usage Summary In Shared Spaces
Get usage summary in shared spaces
This endpoint returns the number of bound apps in spaces where the service instance has been shared to.
Request
URI
GET
https://api.example.local/v3/service_instances/{guid}/relationships/shared_spaces/usage_summary
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
{
"usage_summary": [
{
"space": {
"guid": "string"
},
"bound_app_count": 0
}
]
}
array of
object
usage_summary
Optional
usage_summary
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/service_instances/{guid}/relationships/shared_spaces/usage_summary
Service Instances Operations
GET
List Service Instances
POST
Create Service Instance
GET
Get Service Instance
PATCH
Update Service Instance
DELETE
Delete Service Instance
GET
List Service Instance Backups
POST
Create Service Instance Backup
POST
Restore Service Instance From Backup
GET
Get Service Instance Credentials
GET
Get Service Instance Parameters
GET
Get Service Instance Permissions
GET
List Service Instance Shared Spaces
POST
Share Service Instance
GET
Get Service Instance Usage Summary In Shared Spaces
DELETE
Unshare Service Instance